Skip to main content
GET
/
organizations
/
{organization_id}
/
worksites
/
{worksite_id}
Get Worksite
curl --request GET \
  --url https://dev.intermezzo.ai/organizations/{organization_id}/worksites/{worksite_id} \
  --header 'Authorization: Bearer <token>'
{
  "name": "<string>",
  "address": {
    "id": "<string>",
    "address": "<string>",
    "components": {
      "formatted_address": "<string>",
      "street_number": "<string>",
      "road": "<string>",
      "city": "<string>",
      "state": "<string>",
      "country": "<string>",
      "postal_code": "<string>",
      "postal_code_suffix": "<string>",
      "latitude": 123,
      "longitude": 123
    },
    "content": {
      "normalizedAddress": "<string>",
      "countryCode": "DE",
      "addressType": "HAUSANSCHRIFT"
    }
  },
  "isActive": true,
  "isPrimary": true,
  "id": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "correspondenceAddress": {
    "id": "<string>",
    "address": "<string>",
    "components": {
      "formatted_address": "<string>",
      "street_number": "<string>",
      "road": "<string>",
      "city": "<string>",
      "state": "<string>",
      "country": "<string>",
      "postal_code": "<string>",
      "postal_code_suffix": "<string>",
      "latitude": 123,
      "longitude": 123
    },
    "content": {
      "normalizedAddress": "<string>",
      "countryCode": "DE",
      "addressType": "HAUSANSCHRIFT"
    }
  },
  "validFrom": "2023-12-25",
  "validTo": "2023-12-25",
  "orgId": "<string>",
  "contacts": [
    {
      "name": "<string>",
      "id": "<string>",
      "email": "jsmith@example.com",
      "phone": {
        "phoneNumber": "<string>",
        "phoneType": "mobile"
      },
      "roles": []
    }
  ],
  "taxIdentifiers": {
    "id": 123,
    "validFrom": "2023-12-25",
    "validTo": "2023-12-25",
    "taxData": {
      "country": "<string>",
      "validFrom": "2023-12-25",
      "validTo": "2023-12-25",
      "taxNumber": "<string>",
      "businessType": 170,
      "isEmployeeFlatTax": false,
      "isEmployeeMiniJobFlatTax": false,
      "taxFilingFrequency": "monthly"
    }
  },
  "insuranceData": {
    "id": 123,
    "validFrom": "2023-12-25",
    "validTo": "2023-12-25",
    "insuranceCountry": "DE",
    "worksiteLocationNumber": "98797889",
    "accidentInsuranceCompanyNumber": "98797889",
    "accidentInsurancePin": "DE-WS-PIN-456",
    "payrollServiceProviderNumber": "98797889",
    "payrollProcessingLocationNumber": "98797889"
  }
}

Authorizations

Authorization
string
header
required

Get token from Auth0 and paste it here

Path Parameters

organization_id
required
worksite_id
required

Response

Successful Response

name
string
required
address
AddressResponse · object
required
isActive
boolean
required
isPrimary
boolean
required
id
string
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
correspondenceAddress
AddressResponse · object
validFrom
string<date> | null
validTo
string<date> | null
orgId
string | null
contacts
ContactResponse · object[] | null
taxIdentifiers
TaxIdentifiersResponse · object
insuranceData
DEWorksiteInsuranceDetailsResponse · object